# Niver system installation

Niver will use and need specific configuration for

* Knot DNS
* OpenSSH
* Nginx
* Tor
* Gmnisrv
* PHP-FPM

To do root-level actions, Niver will also use a privileged binary, written in Rust, called Maniver.

Niver has been deployed on the following distributions :

* Debian 10, using Nginx 1.14.2 and OpenSSH 7.9p1, and latest available version of Tor, Knot and gmnisrv using their official release channel.
* Arch Linux

To provide all features:

`# pacman -S tor knot openssh sudo nginx nginx-mod-headers-more certbot certbot-nginx php-fpm php-sqlite`

Some tools you might find usefull to manage a server:

`# pacman -S vnstat htop nload ufw vim man-db curl screen`

[Gemini](gemini.md)
[Maniver](maniver.md)
[OpenSSH](openssh.md)
[Nginx](nginx.md)
