
# Niver-PHP setup

Use pools configurations provided along this documentation.

To hide PHP presence, set in php.ini:
`expose_php = Off`

```
# useradd -U -r -s /usr/bin/nologin php-niver
# useradd -U -r -s /usr/bin/nologin php-errors
```

## Permission to manage system things as root

Once you've [set up Maniver](maniver.md):
```
# EDITOR=vim visudo
php-niver ALL=(root) NOPASSWD: /usr/local/bin/maniver
```

## Permission to manage Knot

To add knot as an additional group for user php-niver: `# usermod -aG knot php-niver`

New method:
```
# chmod -R 770 /var/lib/knot
# chown -R php-niver:knot /var/lib/knot
```
