# Niver

Niver's sources ares split between 3 repositories:

* [`system`](https://code.antopie.org/Niver/system): Documentation and configuration files you'll need to setup a Niver server
* [`niver-php`](https://code.antopie.org/Niver/niver-php): The Web interface in PHP
* [`maniver`](https://code.antopie.org/Niver/maniver): The Rust privileged program to do root actions from niver-php

## Installation

Install Debian 11 (bullseye) <https://www.debian.org/>.

The following steps assumes you've done the following:

```
# apt install sudo git
# git clone https://code.antopie.org/Niver/system /root/niver-system
```

1. [ufw.md](ufw.md) UFW (optionnal, not required for a working setup)
2. [openssh.md](openssh.md) OpenSSH
3. [quota.md](quota.md) Quota
4. [knot.md](knot.md) Knot DNS
5. [tor.md](tor.md) Tor
6. [twins.md](twins.md) Twins
7. [nginx.md](nginx.md) Nginx
8. [certbot.md](certbot.md) Certbot
9. [php.md](php.md) PHP-FPM
10. [maniver.md](maniver.md) maniver
11. [niver-php.md](niver-php.md) niver-php

## Create system users

```
# useradd -U -r -s /usr/sbin/nologin <username>
```
