# Niver

## Features

### Web interface

* Login/register using a pseudo/password set
* Pages are lower than 10 KiB
* No JavaScript, no images, and CSS are optionnal
* Dark and light themes
* Free service running libre software

### Hypertext

* SFTP access
* HTTP and Gemini
* IPv4 and IPv6
* TLS 1.2 & 1.3
* DNS and Onion v3 (through Tor) access
* HTTP/1.1 and HTTP/2
* Let's Encrypt certificates for HTTP
* All HTTP security headers

### Nameserver

* DNSSEC (with NSEC3)
* NS, A, AAAA, TXT, and CAA records

### Registry

* Glue record
* DNSSEC delegation with any modern cypher

## Missing features

* No internationalized domain name support (you can only use a small subset of ASCII in your domain name)
* No BIND-style plaintext configuration (you need to fill a form for every record you add or remove)
